<template>

    <require from="./explorer/explorer.element"></require>
    <require from="./board/board.element"></require>

    <div class="uk-section-primary uk-preserve-color">
        <nav class="uk-navbar-container uk-navbar-transparent uk-light" uk-navbar="dropbar: true">
            <div class="uk-navbar-left">

                <span class="uk-navbar-item uk-logo">
                    Translau
                </span>

            </div>

            <div class="uk-navbar-right">

                <ul class="uk-navbar-nav">
                    <li>
                        <a click.delegate="save()">
                            <span class="uk-margin-small-right" uk-icon="database"></span> Save
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="uk-margin-small-right" uk-icon="more"></span> More
                        </a>
                        <div class="uk-navbar-dropdown uk-navbar-dropdown-width-5">
                            <div class="uk-navbar-dropdown-grid uk-child-width-1-4@l uk-child-width-1-2@m uk-child-width-1-1@s"
                                uk-grid>
                                <div>
                                    <ul class="uk-nav uk-navbar-dropdown-nav">
                                        <li class="uk-nav-header">
                                            <span uk-icon="sign-in"></span> Import
                                        </li>
                                        <li>
                                            <a href="#" class="uk-text-warning uk-disabled">
                                                <span uk-icon="file-text"></span> CSV
                                            </a>
                                        </li>
                                        <li>
                                            <a href="#" class="uk-text-warning uk-disabled">
                                                <span uk-icon="file-text"></span> JSON
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                                <div>
                                    <ul class="uk-nav uk-navbar-dropdown-nav">
                                        <li class="uk-nav-header">
                                            <span uk-icon="sign-out"></span> Export
                                        </li>
                                        <li>
                                            <a href="#" class="uk-text-warning uk-disabled">
                                                <span uk-icon="file-text"></span> CSV
                                            </a>
                                        </li>
                                        <li>
                                            <a href="#" class="uk-text-warning uk-disabled">
                                                <span uk-icon="file-text"></span> JSON
                                            </a>
                                        </li>
                                        <li>
                                            <a href="#" class="uk-text-warning uk-disabled">
                                                <span uk-icon="album"></span> Archive
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                                <div>
                                    <ul class="uk-nav uk-navbar-dropdown-nav">
                                        <li class="uk-nav-header">
                                            <span uk-icon="git-branch"></span> GIT
                                        </li>
                                        <li>
                                            <a href="#" class="uk-text-warning uk-disabled">
                                                <span uk-icon="comment"></span> Commit
                                            </a>
                                        </li>
                                        <li>
                                            <a href="#" class="uk-text-warning uk-disabled">
                                                <span uk-icon="upload"></span> Push
                                            </a>
                                        </li>
                                        <li>
                                            <a href="#" class="uk-text-warning uk-disabled">
                                                <span uk-icon="download"></span> Pull & Reload
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                                <div>
                                    <ul class="uk-nav uk-navbar-dropdown-nav">
                                        <li class="uk-nav-header">
                                            <span uk-icon="file"></span> Files
                                        </li>
                                        <li>
                                            <a click.delegate="build(true)">
                                                <span uk-icon="refresh"></span> Reload from disk
                                            </a>
                                        </li>
                                        <li>
                                            <a click.delegate="save()">
                                                <span uk-icon="database"></span> Save to disk
                                            </a>
                                        </li>
                                        <li class="uk-nav-divider"></li>
                                        <li>
                                            <a href="#" class="uk-text-warning uk-disabled">
                                                <span uk-icon="folder"></span> Save to a different folder
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </li>
                </ul>

            </div>
        </nav>

        <div class="uk-navbar-dropbar"></div>

    </div>

    <div class="uk-container uk-container-expand uk-padding-remove-right">

        <div uk-grid class="uk-grid-small">
            <div class="uk-width-1-3@l uk-width-1-2@s uk-padding-small"
                style="overflow-y: scroll;max-height: calc(100vh - 80px);">
                <explorer data.bind="translationsModel" selected-namespace.two-way="selectedNamespace"></explorer>
            </div>
            <div class="uk-width-2-3@l uk-width-1-2@s" style="overflow-y: scroll;max-height: calc(100vh - 80px);">
                <board namespace.bind="selectedNamespace"></board>
            </div>
        </div>

    </div>

</template>